Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.intermediate
Class IFGraphicContext.Viewport

    java.lang.Object
      org.apache.fop.render.intermediate.IFGraphicContext.Group
          org.apache.fop.render.intermediate.IFGraphicContext.Viewport

Enclosing class:
  IFGraphicContext

public static class IFGraphicContext.Viewport
extends IFGraphicContext.Group

Constructor Summary
`IFGraphicContext.Viewport(java.awt.geom.AffineTransform[] transforms, java.awt.Dimension size, java.awt.Rectangle clipRect)`
`IFGraphicContext.Viewport(java.awt.geom.AffineTransform transform, java.awt.Dimension size, java.awt.Rectangle clipRect)`

Method Summary
`void` | `end(IFPainter painter)`
`java.awt.Rectangle` | `getClipRect()`
`java.awt.Dimension` | `getSize()`
`void` | `start(IFPainter painter)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.render.intermediate.IFGraphicContext.Group
`getTransforms`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IFGraphicContext.Viewport

    public IFGraphicContext.Viewport(java.awt.geom.AffineTransform[] transforms,
                                     java.awt.Dimension size,
                                     java.awt.Rectangle clipRect)

### IFGraphicContext.Viewport

    public IFGraphicContext.Viewport(java.awt.geom.AffineTransform transform,
                                     java.awt.Dimension size,
                                     java.awt.Rectangle clipRect)

Method Detail

### getSize

    public java.awt.Dimension getSize()

### getClipRect

    public java.awt.Rectangle getClipRect()

### start

    public void start(IFPainter painter)
               throws IFException

  Overrides:
    `start` in class `IFGraphicContext.Group`
  Throws:
    `IFException`

### end

    public void end(IFPainter painter)
             throws IFException

  Overrides:
    `end` in class `IFGraphicContext.Group`
  Throws:
    `IFException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `IFGraphicContext.Group`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.